# Create multiple event appointments

Endpoint: POST /locations/{location_id}/events/{event_id}/appointments/bulk
Version: 2.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `location_id` (integer, required)

  - `event_id` (integer, required)

## Request fields (application/json):

  - `records` (array, required)

  - `records.client_id` (integer)

  - `records.name` (string)

  - `records.phone` (string)

  - `records.email` (string)

  - `records.clients_count` (integer)

  - `records.send_sms_now` (integer)

  - `records.sms_hour` (integer)

  - `records.email_hour` (integer)

## Response 201:

  - `201` (unknown)
    Per-record creation results

## Response 201 fields (application/json):

  - `data` (array, required)
    Created appointments as JSON:API `record` resources, same attributes as the single appointment creation

  - `data.type` (string, required)
    Example: record

  - `data.id` (string, required)
    Example: 624798251

  - `data.attributes` (object, required)

  - `meta` (object, required)

  - `meta.errors` (array, required)
    Records that were not created; the others are created regardless

  - `meta.errors.index` (integer, required)
    Position of the record in the request `records` array
    Example: 1

  - `meta.errors.phone` (string | null, required)

  - `meta.errors.name` (string | null, required)

  - `meta.errors.error` (string, required)
    Localized reason

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

